Subject: Re: [bess] Document shepherd's review of draft-ietf-bess-evpn-na-flags-03

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Mon, 1 Jul 2019 14:50:16 +0000

Authors, WG,

One further comment on this draft.

In the IANA considerations section you request the creation of a new registry for the "ARP/ND Extended Community Flags octet". The registry has a number of unassigned Flags. However, the draft does not specify a registration policy for this registry.

Please can you propose a suitable registration policy. See section 4 of RFC 8126 for information on the different policies. 

Thanks

Matthew

On 26/06/2019, 17:46, "BESS on behalf of Bocci, Matthew (Nokia - GB)" <[email-masked] on behalf of [email-masked]> wrote:

    Authors
    
    I am the document shepherd for this draft. Please see below for my comments. Please treat these as you would any other WG last call comments.
    
    Best regards
    
    Matthew
    
    General:
    Why do you say the EVPN ARP/ND Extended Community is optional? Don’t you always use it if you comply to the procedures in the draft? Also, I am not clear why in section 3 you say the PE will follow the procedures (which I interpret as a MUST), but there are no MUSTs in e.g. 3a.
    
    Please clarify in the draft.
    
    Please also check the capitalization of RFC2119 keywords throughout. For example, there are a few instances where a 'may' should be a 'MAY'
    
    Abstract and 1. Introduction
    This document proposes an OPTIONAL extended community that is
       advertised ...
    
    Change to 'this document defines an extended community..."

    Section 1.1 Terminology and Conventions:
    "Address Resolution Protocol (ARP) Requests or Neighbor Discovery (ND) - or Neighbor Solicitation (NS) - messages are replied locally by the PE,"
    This text seems to mix up Neighbor Discovery (the process) with Neighbor Solicitation (the message). I would suggest deleting Neighbor Discovery from this sentence.
    
    1. Use of the EVPN ARP/ND Extended Community
    
    A PE may learn the IPv6->MAC pair and its associated ND Flags in the management plane or snooping Neighbor Advertisement messages coming from the CE.
    
    s/management plane or snooping Neighbor/management plane or by snooping Neighbor
    
    _______________________________________________
    BESS mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/bess

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Wed, 3 Jul 2019 19:54:31 +0000

Matthew,

We just published rev 04 that should address all your comments.
Thank you for reviewing!

Jorge

-----Original Message-----
From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Monday, July 1, 2019 at 4:50 PM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [bess] Document shepherd's review of draft-ietf-bess-evpn-na-flags-03
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Monday, July 1, 2019 at 4:50 PM

    Authors, WG,

    
    
    Thanks
    
    Matthew

    
        Authors

        Best regards
        
        Matthew
        
        General: